# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "mongo"
  s.version = "1.9.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tyler Brock", "Gary Murakami", "Emily Stolfo", "Brandon Black", "Durran Jordan"]
  s.cert_chain = ["-----BEGIN CERTIFICATE-----\nMIIDODCCAiCgAwIBAgIBADANBgkqhkiG9w0BAQUFADBCMRQwEgYDVQQDDAtkcml2\nZXItcnVieTEVMBMGCgmSJomT8ixkARkWBTEwZ2VuMRMwEQYKCZImiZPyLGQBGRYD\nY29tMB4XDTEzMDIwMTE0MTEzN1oXDTE0MDIwMTE0MTEzN1owQjEUMBIGA1UEAwwL\nZHJpdmVyLXJ1YnkxFTATBgoJkiaJk/IsZAEZFgUxMGdlbjETMBEGCgmSJomT8ixk\nARkWA2NvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBANFdSAa8fRm1\nbAM9za6Z0fAH4g02bqM1NGnw8zJQrE/PFrFfY6IFCT2AsLfOwr1maVm7iU1+kdVI\nIQ+iI/9+E+ArJ+rbGV3dDPQ+SLl3mLT+vXjfjcxMqI2IW6UuVtt2U3Rxd4QU0kdT\nJxmcPYs5fDN6BgYc6XXgUjy3m+Kwha2pGctdciUOwEfOZ4RmNRlEZKCMLRHdFP8j\n4WTnJSGfXDiuoXICJb5yOPOZPuaapPSNXp93QkUdsqdKC32I+KMpKKYGBQ6yisfA\n5MyVPPCzLR1lP5qXVGJPnOqUAkvEUfCahg7EP9tI20qxiXrR6TSEraYhIFXL0EGY\nu8KAcPHm5KkCAwEAAaM5MDcwCQYDVR0TBAIwADAdBgNVHQ4EFgQUW3dZsX70mlSM\nCiPrZxAGA1vwfNcwCwYDVR0PBAQDAgSwMA0GCSqGSIb3DQEBBQUAA4IBAQCIa/Y6\nxS7YWBxkn9WP0EMnJ3pY9vef9DTmLSi/2jz8PzwlKQ89zNTrqSUD8LoQZmBqCJBt\ndKSQ/RUnaHJuxh8HWvWubP8EBYTuf+I1DFnRv648IF3MR1tCQumVL0XcYMvZcxBj\na/p+8DomWTQqUdNbNoGywwjtVBWfDdwFV8Po1XcN/AtpILOJQd9J77INIGGCHxZo\n6SOHHaNknlE9H0w6q0SVxZKZI8/+2c447V0NrHIw1Qhe0tAGJ9V1u3ky8gyxe0SM\n8v7zLF2XliYbfurYIwkcXs8yPn8ggApBIy9bX6VJxRs/l2+UvqzaHIFaFy/F8/GP\nRNTuXsVG5NDACo7Q\n-----END CERTIFICATE-----\n"]
  s.date = "2013-08-21"
  s.description = "A Ruby driver for MongoDB. For more information about Mongo, see http://www.mongodb.org."
  s.email = "mongodb-dev@googlegroups.com"
  s.executables = ["mongo_console"]
  s.files = ["mongo.gemspec", "LICENSE", "VERSION", "README.md", "Rakefile", "bin/mongo_console", "lib/mongo.rb", "lib/mongo/collection.rb", "lib/mongo/cursor.rb", "lib/mongo/db.rb", "lib/mongo/exceptions.rb", "lib/mongo/gridfs/grid.rb", "lib/mongo/gridfs/grid_ext.rb", "lib/mongo/gridfs/grid_file_system.rb", "lib/mongo/gridfs/grid_io.rb", "lib/mongo/legacy.rb", "lib/mongo/mongo_client.rb", "lib/mongo/mongo_replica_set_client.rb", "lib/mongo/mongo_sharded_client.rb", "lib/mongo/networking.rb", "lib/mongo/util/conversions.rb", "lib/mongo/util/core_ext.rb", "lib/mongo/util/logging.rb", "lib/mongo/util/node.rb", "lib/mongo/util/pool.rb", "lib/mongo/util/pool_manager.rb", "lib/mongo/util/read_preference.rb", "lib/mongo/util/server_version.rb", "lib/mongo/util/sharding_pool_manager.rb", "lib/mongo/util/socket_util.rb", "lib/mongo/util/ssl_socket.rb", "lib/mongo/util/support.rb", "lib/mongo/util/tcp_socket.rb", "lib/mongo/util/thread_local_variable_manager.rb", "lib/mongo/util/unix_socket.rb", "lib/mongo/util/uri_parser.rb", "lib/mongo/util/write_concern.rb", "test/functional/authentication_test.rb", "test/functional/collection_test.rb", "test/functional/connection_test.rb", "test/functional/conversions_test.rb", "test/functional/cursor_fail_test.rb", "test/functional/cursor_message_test.rb", "test/functional/cursor_test.rb", "test/functional/db_api_test.rb", "test/functional/db_connection_test.rb", "test/functional/db_test.rb", "test/functional/grid_file_system_test.rb", "test/functional/grid_io_test.rb", "test/functional/grid_test.rb", "test/functional/pool_test.rb", "test/functional/safe_test.rb", "test/functional/ssl_test.rb", "test/functional/support_test.rb", "test/functional/threading_test.rb", "test/functional/timeout_test.rb", "test/functional/uri_test.rb", "test/functional/write_concern_test.rb", "test/replica_set/authentication_test.rb", "test/replica_set/basic_test.rb", "test/replica_set/client_test.rb", "test/replica_set/complex_connect_test.rb", "test/replica_set/connection_test.rb", "test/replica_set/count_test.rb", "test/replica_set/cursor_test.rb", "test/replica_set/insert_test.rb", "test/replica_set/max_values_test.rb", "test/replica_set/pinning_test.rb", "test/replica_set/query_test.rb", "test/replica_set/read_preference_test.rb", "test/replica_set/refresh_test.rb", "test/replica_set/replication_ack_test.rb", "test/replica_set/ssl_test.rb", "test/sharded_cluster/basic_test.rb", "test/shared/authentication.rb", "test/test_helper.rb", "test/threading/basic_test.rb", "test/tools/mongo_config.rb", "test/tools/mongo_config_test.rb", "test/unit/client_test.rb", "test/unit/collection_test.rb", "test/unit/connection_test.rb", "test/unit/cursor_test.rb", "test/unit/db_test.rb", "test/unit/grid_test.rb", "test/unit/mongo_sharded_client_test.rb", "test/unit/node_test.rb", "test/unit/pool_manager_test.rb", "test/unit/pool_test.rb", "test/unit/read_pref_test.rb", "test/unit/read_test.rb", "test/unit/safe_test.rb", "test/unit/sharding_pool_manager_test.rb", "test/unit/util_test.rb", "test/unit/write_concern_test.rb"]
  s.homepage = "http://www.mongodb.org"
  s.licenses = ["Apache License Version 2.0"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "mongo"
  s.rubygems_version = "1.8.23"
  s.summary = "Ruby driver for MongoDB"
  s.test_files = ["test/functional/authentication_test.rb", "test/functional/collection_test.rb", "test/functional/connection_test.rb", "test/functional/conversions_test.rb", "test/functional/cursor_fail_test.rb", "test/functional/cursor_message_test.rb", "test/functional/cursor_test.rb", "test/functional/db_api_test.rb", "test/functional/db_connection_test.rb", "test/functional/db_test.rb", "test/functional/grid_file_system_test.rb", "test/functional/grid_io_test.rb", "test/functional/grid_test.rb", "test/functional/pool_test.rb", "test/functional/safe_test.rb", "test/functional/ssl_test.rb", "test/functional/support_test.rb", "test/functional/threading_test.rb", "test/functional/timeout_test.rb", "test/functional/uri_test.rb", "test/functional/write_concern_test.rb", "test/replica_set/authentication_test.rb", "test/replica_set/basic_test.rb", "test/replica_set/client_test.rb", "test/replica_set/complex_connect_test.rb", "test/replica_set/connection_test.rb", "test/replica_set/count_test.rb", "test/replica_set/cursor_test.rb", "test/replica_set/insert_test.rb", "test/replica_set/max_values_test.rb", "test/replica_set/pinning_test.rb", "test/replica_set/query_test.rb", "test/replica_set/read_preference_test.rb", "test/replica_set/refresh_test.rb", "test/replica_set/replication_ack_test.rb", "test/replica_set/ssl_test.rb", "test/sharded_cluster/basic_test.rb", "test/shared/authentication.rb", "test/test_helper.rb", "test/threading/basic_test.rb", "test/tools/mongo_config.rb", "test/tools/mongo_config_test.rb", "test/unit/client_test.rb", "test/unit/collection_test.rb", "test/unit/connection_test.rb", "test/unit/cursor_test.rb", "test/unit/db_test.rb", "test/unit/grid_test.rb", "test/unit/mongo_sharded_client_test.rb", "test/unit/node_test.rb", "test/unit/pool_manager_test.rb", "test/unit/pool_test.rb", "test/unit/read_pref_test.rb", "test/unit/read_test.rb", "test/unit/safe_test.rb", "test/unit/sharding_pool_manager_test.rb", "test/unit/util_test.rb", "test/unit/write_concern_test.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<bson>, ["~> 1.9.2"])
    else
      s.add_dependency(%q<bson>, ["~> 1.9.2"])
    end
  else
    s.add_dependency(%q<bson>, ["~> 1.9.2"])
  end
end

